<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:14:42 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Class Hierarchy (HttpClient Cache 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Class Hierarchy (HttpClient Cache 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For All Packages</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="org/apache/http/client/cache/package-tree.html">org.apache.http.client.cache</A>, <A HREF="org/apache/http/impl/client/cache/package-tree.html">org.apache.http.impl.client.cache</A>, <A HREF="org/apache/http/impl/client/cache/ehcache/package-tree.html">org.apache.http.impl.client.cache.ehcache</A>, <A HREF="org/apache/http/impl/client/cache/memcached/package-tree.html">org.apache.http.impl.client.cache.memcached</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.client.cache.<A HREF="org/apache/http/impl/client/cache/BasicHttpCacheStorage.html" title="class in org.apache.http.impl.client.cache"><B>BasicHttpCacheStorage</B></A> (implements org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheStorage.html" title="interface in org.apache.http.client.cache">HttpCacheStorage</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.<A HREF="org/apache/http/impl/client/cache/CacheConfig.html" title="class in org.apache.http.impl.client.cache"><B>CacheConfig</B></A><LI TYPE="circle">org.apache.http.impl.client.cache.<A HREF="org/apache/http/impl/client/cache/CachingHttpClient.html" title="class in org.apache.http.impl.client.cache"><B>CachingHttpClient</B></A> (implements org.apache.http.client.<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/client/HttpClient.html?is-external=true" title="class or interface in org.apache.http.client">HttpClient</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.<A HREF="org/apache/http/impl/client/cache/DefaultHttpCacheEntrySerializer.html" title="class in org.apache.http.impl.client.cache"><B>DefaultHttpCacheEntrySerializer</B></A> (implements org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheEntrySerializer.html" title="interface in org.apache.http.client.cache">HttpCacheEntrySerializer</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.ehcache.<A HREF="org/apache/http/impl/client/cache/ehcache/EhcacheHttpCacheStorage.html" title="class in org.apache.http.impl.client.cache.ehcache"><B>EhcacheHttpCacheStorage</B></A> (implements org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheStorage.html" title="interface in org.apache.http.client.cache">HttpCacheStorage</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.<A HREF="org/apache/http/impl/client/cache/FileResource.html" title="class in org.apache.http.impl.client.cache"><B>FileResource</B></A> (implements org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/Resource.html" title="interface in org.apache.http.client.cache">Resource</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.<A HREF="org/apache/http/impl/client/cache/FileResourceFactory.html" title="class in org.apache.http.impl.client.cache"><B>FileResourceFactory</B></A> (implements org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/ResourceFactory.html" title="interface in org.apache.http.client.cache">ResourceFactory</A>)
<LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HeaderConstants.html" title="class in org.apache.http.client.cache"><B>HeaderConstants</B></A><LI TYPE="circle">org.apache.http.impl.client.cache.<A HREF="org/apache/http/impl/client/cache/HeapResource.html" title="class in org.apache.http.impl.client.cache"><B>HeapResource</B></A> (implements org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/Resource.html" title="interface in org.apache.http.client.cache">Resource</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.<A HREF="org/apache/http/impl/client/cache/HeapResourceFactory.html" title="class in org.apache.http.impl.client.cache"><B>HeapResourceFactory</B></A> (implements org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/ResourceFactory.html" title="interface in org.apache.http.client.cache">ResourceFactory</A>)
<LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheEntry.html" title="class in org.apache.http.client.cache"><B>HttpCacheEntry</B></A> (implements java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>)
<LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/InputLimit.html" title="class in org.apache.http.client.cache"><B>InputLimit</B></A><LI TYPE="circle">org.apache.http.impl.client.cache.<A HREF="org/apache/http/impl/client/cache/ManagedHttpCacheStorage.html" title="class in org.apache.http.impl.client.cache"><B>ManagedHttpCacheStorage</B></A> (implements org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheStorage.html" title="interface in org.apache.http.client.cache">HttpCacheStorage</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactoryImpl.html" title="class in org.apache.http.impl.client.cache.memcached"><B>MemcachedCacheEntryFactoryImpl</B></A> (implements org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html" title="interface in org.apache.http.impl.client.cache.memcached">MemcachedCacheEntryFactory</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryImpl.html" title="class in org.apache.http.impl.client.cache.memcached"><B>MemcachedCacheEntryImpl</B></A> (implements org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached">MemcachedCacheEntry</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/MemcachedHttpCacheStorage.html" title="class in org.apache.http.impl.client.cache.memcached"><B>MemcachedHttpCacheStorage</B></A> (implements org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheStorage.html" title="interface in org.apache.http.client.cache">HttpCacheStorage</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/PrefixKeyHashingScheme.html" title="class in org.apache.http.impl.client.cache.memcached"><B>PrefixKeyHashingScheme</B></A> (implements org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/KeyHashingScheme.html" title="interface in org.apache.http.impl.client.cache.memcached">KeyHashingScheme</A>)
<LI TYPE="circle">org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/SHA256KeyHashingScheme.html" title="class in org.apache.http.impl.client.cache.memcached"><B>SHA256KeyHashingScheme</B></A> (implements org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/KeyHashingScheme.html" title="interface in org.apache.http.impl.client.cache.memcached">KeyHashingScheme</A>)
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><B>Throwable</B></A> (implements java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><B>Exception</B></A><UL>
<LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheUpdateException.html" title="class in org.apache.http.client.cache"><B>HttpCacheUpdateException</B></A><LI TYPE="circle">java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io"><B>IOException</B></A><UL>
<LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheEntrySerializationException.html" title="class in org.apache.http.client.cache"><B>HttpCacheEntrySerializationException</B></A></UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><B>RuntimeException</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/MemcachedKeyHashingException.html" title="class in org.apache.http.impl.client.cache.memcached"><B>MemcachedKeyHashingException</B></A><LI TYPE="circle">org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/MemcachedSerializationException.html" title="class in org.apache.http.impl.client.cache.memcached"><B>MemcachedSerializationException</B></A></UL>
</UL>
</UL>
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheEntrySerializer.html" title="interface in org.apache.http.client.cache"><B>HttpCacheEntrySerializer</B></A><LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheStorage.html" title="interface in org.apache.http.client.cache"><B>HttpCacheStorage</B></A><LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/HttpCacheUpdateCallback.html" title="interface in org.apache.http.client.cache"><B>HttpCacheUpdateCallback</B></A><LI TYPE="circle">org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/KeyHashingScheme.html" title="interface in org.apache.http.impl.client.cache.memcached"><B>KeyHashingScheme</B></A><LI TYPE="circle">org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached"><B>MemcachedCacheEntry</B></A><LI TYPE="circle">org.apache.http.impl.client.cache.memcached.<A HREF="org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html" title="interface in org.apache.http.impl.client.cache.memcached"><B>MemcachedCacheEntryFactory</B></A><LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/ResourceFactory.html" title="interface in org.apache.http.client.cache"><B>ResourceFactory</B></A><LI TYPE="circle">java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io"><B>Serializable</B></A><UL>
<LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/Resource.html" title="interface in org.apache.http.client.cache"><B>Resource</B></A></UL>
</UL>
<H2>
Enum Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><B>Enum</B></A>&lt;E&gt; (implements java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</A>&lt;T&gt;, java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">org.apache.http.client.cache.<A HREF="org/apache/http/client/cache/CacheResponseStatus.html" title="enum in org.apache.http.client.cache"><B>CacheResponseStatus</B></A></UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2010-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
